package com.redhat.thermostat.tools.eclipse.plugin.editor;

import org.eclipse.swt.layout.GridLayout;
import org.eclipse.ui.forms.IManagedForm;
import org.eclipse.ui.forms.editor.FormEditor;
import org.eclipse.ui.forms.editor.FormPage;
import org.eclipse.ui.forms.widgets.ScrolledForm;

import com.redhat.thermostat.tools.eclipse.plugin.Messages;
import com.redhat.thermostat.tools.eclipse.plugin.model.Plugin;


public class ExtensionsPage extends FormPage {

    static final String ID = "com.redhat.thermostat.tools.eclipse.plugin.editor.ExtensionsPage"; //$NON-NLS-1$
    static final String TITLE = Messages.ExtensionsPage_title;

    private Plugin model;

    public ExtensionsPage(FormEditor editor, Plugin model) {
        super(editor, ID, TITLE);

        this.model = model;
    }

    @Override
    protected void createFormContent(IManagedForm managedForm) {
        ScrolledForm form = managedForm.getForm();
        form.setText(Messages.ExtensionsPage_title);
        GridLayout layout = new GridLayout();
        layout.numColumns = 2;
        layout.makeColumnsEqualWidth = true;
        form.getBody().setLayout(layout);

        ExtensionsMasterDetailsBlock masterAndDetails = new ExtensionsMasterDetailsBlock(this);
        masterAndDetails.setModel(model);
        masterAndDetails.createContent(managedForm);
    }

}
